classification
Title: IDLE: Add tests for configdialog highlight tab
Type: enhancement Stage: resolved
Components: IDLE Versions: Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: 31205 Superseder:
Assigned To: terry.reedy Nosy List: csabella, terry.reedy
Priority: normal Keywords:

Created on 2017-07-24 07:22 by terry.reedy, last changed 2017-08-18 01:03 by terry.reedy. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 2908 merged terry.reedy, 2017-07-27 07:56
PR 3123 merged csabella, 2017-08-17 19:18
PR 3124 merged terry.reedy, 2017-08-18 00:40
Messages (7)
msg299596 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-08-01 04:59
Pr2908 originally just sorted highlight methods together, but was extended to sort all methods together and relabeled for #31060.  (This actually simplified the diff.)  Pr2925, the 3.6 backport, appears on the replacement issue.
msg300276 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-08-15 01:32
If we do the same renamings for the theme selection vars and functions as done for keys selection on the keys tab, then the corresponding tests can be copied and slightly altered.  However, duplicate names require that KeyPage be separated first.  Hence the dependency.

When the current mess is replaced on both pages, we *might* be able to make a simple Frame subclass tested once and used on both pages.
msg300351 - (view) Author: Cheryl Sabella (csabella) * Date: 2017-08-16 11:43
Working on this now.
msg300463 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-08-17 23:56
Coverage now 95%.  We are getting close.  Still not covered in highlight group: 
 
create_page_highlight:  # Highlight only.
    text.bind('<Double-Button-1>', lambda e: 'break')
    text.bind('<B1-Motion>', lambda e: 'break')
Callbacks are never called. I presume that these mask something.  I am not sure that they are needed.

save_new:  # Same as for keys.
        if not idleConf.userCfg['highlight'].has_section(theme_name): 
Never false.

delete_custom:  # Same as for keys.
        if not item_list: 
            self.custom_theme_on['state'] = DISABLED 
            self.customlist.SetMenu(item_list, '- no custom themes -') 
        else: 
            self.customlist.SetMenu(item_list, item_list[0]) 
Condition never false, else never executed.
msg300464 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-08-18 00:39
New changeset 82aff62462e65077a6614b466c986f93a601c33d by Terry Jan Reedy (Cheryl Sabella) in branch 'master':
bpo-31001: IDLE: Add tests for configdialog highlight tab (#3123)
https://github.com/python/cpython/commit/82aff62462e65077a6614b466c986f93a601c33d
msg300466 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-08-18 01:02
New changeset 6db2edbe050cc9ac9026f350a24f2d525bcadecd by Terry Jan Reedy in branch '3.6':
[3.6] bpo-31001: IDLE: Add tests for configdialog highlight tab (GH-3123) (#3124)
https://github.com/python/cpython/commit/6db2edbe050cc9ac9026f350a24f2d525bcadecd
msg300467 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-08-18 01:03
Another big thank you.
History
Date User Action Args
2017-08-18 01:03:29terry.reedysetmessages: + msg300467
2017-08-18 01:03:13terry.reedysetstatus: open -> closed
resolution: fixed
stage: needs patch -> resolved
2017-08-18 01:02:23terry.reedysetmessages: + msg300466
2017-08-18 00:40:53terry.reedysetpull_requests: + pull_request3162
2017-08-18 00:39:03terry.reedysetmessages: + msg300464
2017-08-17 23:56:47terry.reedysetmessages: + msg300463
2017-08-17 19:18:01csabellasetpull_requests: + pull_request3161
2017-08-16 11:43:59csabellasetmessages: + msg300351
2017-08-15 01:49:11terry.reedylinkissue31206 dependencies
2017-08-15 01:32:33terry.reedysetnosy: + csabella
dependencies: + IDLE, configdialog: Factor out KeysPage class from ConfigDialog
messages: + msg300276
2017-08-01 04:59:48terry.reedysetmessages: + msg299596
2017-07-27 07:56:16terry.reedysetpull_requests: + pull_request2959
2017-07-24 08:05:37terry.reedylinkissue30780 dependencies
2017-07-24 07:22:14terry.reedycreate